Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteResultVersionTable

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteResultVersionTable

extends java.rmi.Remote

Interface `RemoteResultVersionTable` contains result version records in the report server.

Method Summary
`void` | `commit()` Commits changes into the disk.
`java.util.Vector` | `getResultVersionRecords(java.lang.String catalog, java.lang.String report)` Deprecated. As of version 4.1, replaced by `getResultVersionRecordsByCatalogReport(String userID, String catalog, String report)`.
`java.util.Vector` | `getResultVersionRecords(java.lang.String catalog, java.lang.String report, java.lang.String submitter)` Deprecated. As of version 4.1, replaced by `getResultVersionRecords(String userID, String catalog, String report, String submitter)`.
`java.util.Vector` | `getResultVersionRecords(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.lang.String submitter)` Gets the result versions by the catalog, the report and the submitter.
`java.util.Vector` | `getResultVersionRecordsByCatalogReport(java.lang.String userID, java.lang.String catalog, java.lang.String report)` Gets the result versions by the catalog and the report.
`ResultVersionRecord` | `getVersion(java.lang.String versionID)` Gets the result version by the version ID.
`void` | `removeVersion(java.lang.String versionID)` Deprecated. since version 11.1, no replacement.

Method Detail

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String catalog,
                                             java.lang.String report)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Deprecated. As of version 4.1, replaced by `getResultVersionRecordsByCatalogReport(String userID, String catalog, String report)`.

  Gets the result versions by the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
  Returns:
    the result versions of the report. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecordsByCatalogReport

    java.util.Vector getResultVersionRecordsByCatalogReport(java.lang.String userID,
                                                            java.lang.String catalog,
                                                            java.lang.String report)
                                                            throws java.rmi.RemoteException,
                                                                   RptServerException

  Gets the result versions by the catalog and the report.

  Parameters:
    `userID` - the caller of this method.
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
  Returns:
    the result versions of the report. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String catalog,
                                             java.lang.String report,
                                             java.lang.String submitter)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Deprecated. As of version 4.1, replaced by `getResultVersionRecords(String userID, String catalog, String report, String submitter)`.

  Gets the result versions by the catalog, the report and the submitter.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `submitter` - the submitter of the result versions.
  Returns:
    the result versions. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getResultVersionRecords

    java.util.Vector getResultVersionRecords(java.lang.String userID,
                                             java.lang.String catalog,
                                             java.lang.String report,
                                             java.lang.String submitter)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Gets the result versions by the catalog, the report and the submitter.

  Parameters:
    `userID` - the caller of this method.
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `submitter` - the submitter of the result versions.
  Returns:
    the result versions. The Vector contains ResultVersionRecord objects.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### getVersion

    ResultVersionRecord getVersion(java.lang.String versionID)
                                   throws java.rmi.RemoteException,
                                          RptServerException

  Gets the result version by the version ID.

  Parameters:
    `versionID` - the result version ID.
  Returns:
    the result version by the version ID.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
  See Also:
    `ResultVersionRecord`

### removeVersion

    void removeVersion(java.lang.String versionID)
                       throws java.rmi.RemoteException,
                              RptServerException

  Deprecated. since version 11.1, no replacement.

  Removes the result version by the version ID.

  Notice: As of server 6, when you want to remove a version, version id and user id are required, so an RptServerException (encapsulated a NoPrivilegeException) will be thrown during invoking this method, except user sets "No Security Checking" as true. You should use the method `removeVersion(String userID, String versionID)` in `RemoteResourceManager` to remove a version.

  Parameters:
    `versionID` - the result version ID.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### commit

    void commit()
                throws java.rmi.RemoteException,
                       RptServerException

  Commits changes into the disk.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD